ACSD-49628: Page Builder CORS錯誤導致無法儲存產品

ACSD-49628修補程式修正以下問題: Page Builder CORS錯誤會讓管理員無法儲存產品。 此修補程式適用於 Quality Patches Tool (QPT) 已安裝1.1.32。 修補程式ID為ACSD-49628。 請注意,此問題已排程在Adobe Commerce 2.4.7中修正。

受影響的產品和版本

此修補程式是針對Adobe Commerce版本建立的:

  • Adobe Commerce (所有部署方法) 2.4.3-p1

與Adobe Commerce版本相容:

  • Adobe Commerce (所有部署方法) 2.4.2 - 2.4.6
NOTE
此修補程式可能適用其他具有新修補程式的版本 Quality Patches Tool 發行版本。 若要檢查修補程式是否與您的Adobe Commerce版本相容,請更新 magento/quality-patches 封裝至最新版本,並檢查 Quality Patches Tool:搜尋修正程式頁面. 使用修補程式ID作為搜尋關鍵字,以尋找修補程式。

問題

Page Builder CORS錯誤會導致無法儲存產品。

要再現的步驟

  1. 以管理員身分登入。

  2. 建立具有下列許可權的使用者角色:

    • Catalog > Inventory > Products.
    • Catalog > Inventory > Categories.
  3. 不要新增任何 Content 許可權。

  4. 建立另一個管理員使用者,並將上面建立的角色指派給此使用者。

  5. 建立產品並登出。

  6. 以第二個管理員身分登入。

  7. 嘗試編輯並儲存產品。

預期結果

第二個管理員可以儲存產品,但 Edit with Page Builder 按鈕未顯示給管理員任何 Content 許可權。

實際結果

第二個管理員無法儲存產品,因為有多個原因 Page Builder 錯誤。

套用修補程式

若要套用個別修補程式,請根據您的部署方法使用下列連結:

相關閱讀

若要深入瞭解 Quality Patches Tool,請參閱:

如需QPT中其他修補程式的詳細資訊,請參閱 Quality Patches Tool:搜尋修補程式 在 Quality Patches Tool 指南。

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a